Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create cycle archive

POST/workspaces/{organizationId}/cycles/{id}/archive
Path parameters
organizationIdstringrequired
idstringrequired
Responses
200Cycle archived
idstringrequired
organizationIdstringrequired
projectIdstring | nullrequired
namestringrequired
numbernumber | nullrequired
statusstringrequired
Allowed:upcomingactivecompleted
autoRolloverbooleanrequired
archivedAtstring | nullrequired
startDatestring | nullrequired
endDatestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Request
curl -X POST "/workspaces/string/cycles/string/archive"
Response
{
  "id": "string",
  "organizationId": "string",
  "projectId": "string",
  "name": "string",
  "number": 0,
  "status": "upcoming",
  "autoRollover": true,
  "archivedAt": "string",
  "startDate": "string",
  "endDate": "string",
  "createdAt": "string",
  "updatedAt": "string"
}